Run of fresh-snapshots for liblxi

Try this locally (using silver-platter):

debian-svp new-upstream --snapshot liblxi 

Merge these changes:

git pull https://janitor.debian.net/git/liblxi fresh-snapshots/main

Summary

Merged new upstream version: 1.13+git20181027.8b43290 (was: 1.13).

Diff

diff --git a/README b/README
index a47e2ae..bd503e1 100644
--- a/README
+++ b/README
@@ -76,9 +76,18 @@
 
 4. Installation
 
-    The latest release version can be downloaded from https://lxi-tools.github.io
+    The latest release can be downloaded from https://lxi-tools.github.io
 
-4.1 Installation using release tarball
+
+4.1 Installation using source
+
+    To compile and install successfully from source you need to install the
+    following dependencies:
+
+     * libtirpc
+     * rpcgen
+     * libxml2
+     * avahi    (optional)
 
     Install steps:
 
@@ -86,7 +95,14 @@
      $ make
      $ make install
 
-4.2 Installation using package
+    Note: Please do no try to install from source if you are not familiar with
+          using autotools.
+
+    Note: If you are installing from git source remember to run the autogen.sh
+          script to generate the configure script.
+
+
+4.3 Installation using package
 
     liblxi comes prepackaged for various GNU/Linux distributions. Visit
     https://lxi-tools.github.io to see list of supported distributions.
diff --git a/README.md b/README.md
index 5d5bdda..af21d9b 100644
--- a/README.md
+++ b/README.md
@@ -79,9 +79,18 @@ See src/test for more examples.
 
 ## 4. Installation
 
-The latest release version can be downloaded from https://lxi-tools.github.io
-    
-### 4.1 Installation using release tarball
+The latest release can be downloaded from https://lxi-tools.github.io
+
+
+### 4.1 Installation using source
+
+To compile and install successfully from source you need to install the
+following dependencies:
+
+ * libtirpc
+ * rpcgen
+ * libxml2
+ * avahi    (optional)
 
 Install steps:
 ```
@@ -89,6 +98,12 @@ Install steps:
     $ make
     $ make install
 ```
+Note: Please do no try to install from source if you are not familiar with
+using autotools.
+
+Note: If you are installing from git source remember to run the autogen.sh
+script to generate the configure script.
+
 
 ### 4.2 Installation using package
 
diff --git a/configure.ac b/configure.ac
index 1448eeb..249419f 100644
--- a/configure.ac
+++ b/configure.ac
@@ -22,6 +22,7 @@ AC_SUBST(LIBLXI_LT_VERSION)
 AC_ENABLE_SHARED
 AC_ENABLE_STATIC
 AC_PROG_CC
+AM_PROG_CC_C_O
 AC_LANG([C])
 AC_PROG_INSTALL
 PKG_PROG_PKG_CONFIG
diff --git a/debian/changelog b/debian/changelog
index 9e0eb54..0986fce 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+liblxi (1.13+git20181027.8b43290-1) UNRELEASED; urgency=medium
+
+  * New upstream snapshot.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Sun, 23 Jun 2019 08:24:16 +0000
+
 liblxi (1.13-1) unstable; urgency=medium
 
   * New upstream release

Debdiff

[The following lists of changes regard files as different if they have different names, permissions or owners.]

Files in second set of .debs but not in first

-rw-r--r--  root/root   /usr/lib/debug/.build-id/a1/091dada80eaa6c21b26d76ac89333099bb243f.debug

Files in first set of .debs but not in second

-rw-r--r--  root/root   /usr/lib/debug/.build-id/97/da65fc894174887f8386f8452b5ed0940f410d.debug

No differences were encountered between the control files of package liblxi-dev

No differences were encountered between the control files of package liblxi1

Control files of package liblxi1-dbgsym: lines which differ (wdiff format)

  • Build-Ids: 97da65fc894174887f8386f8452b5ed0940f410d a1091dada80eaa6c21b26d76ac89333099bb243f

Full worker log Full build log